Skip to main content
GET
/
agents
/
{agent_id}
/
case-triggers
List case triggers
curl --request GET \
  --url https://api.duvo.ai/v1/agents/{agent_id}/case-triggers \
  --header 'Authorization: Bearer <token>'
{
  "case_triggers": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "case_queue_id": "<string>",
      "case_queue_name": "<string>",
      "user_id": "<string>",
      "enabled": true,
      "concurrency": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "creator_display_name": "<string>",
      "can_disable": true,
      "has_conflict": true,
      "conflicting_agents": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

case_triggers
object[]
required